#ifndef ContextStatusH
#define ContextStatusH
#include "util/simpleobject/AgString.h"

class ContextStatus
{
private:
    int status;
    AgString  comment;

public:
    const AgString getComment() const
    {
        return comment;
    }

    int getStatus() const
    {
        return status;
    }

    void setComment(const AgString & comment)
    {
        this->comment = comment;
    }

    void setStatus(int status)
    {
        this->status = status;
    }

    ContextStatus() {}
    ContextStatus(int status, const AgString & comment)
    {
        this->status = status;
        this->comment = comment;
    }
};


#endif
